x0=0.001; kappa=0.1; theta=0.001; sigma=0.1; l=0.1; mu=2; T=5; 
z=1:2^10;

tic
[A B]=AJDcf_analytic(kappa,theta,sigma,mu,l,sqrt(-1)*z,T);
res1=exp(A+B*x0);
toc %time in matlabz

tmp = zeros(length(z),1);
tmp2 = z';
tic
[t_real_sparse, t_imag_sparse] = transform2_integrated_ajd_c(tmp, tmp2, x0, kappa, theta, sigma, l, mu, T);
res2=t_real_sparse'+sqrt(-1)*t_imag_sparse';
toc %time in c

max(abs(real(res1-res2))) %max difference between real parts
max(abs(imag(res1-res2))) %max difference between imag parts
