% Calculate tranche deltas for changes in idiosyncratic default intensities
deltas_idio = tranche_deltas_idio(cdx_mor10, datenum('12/05/2005'), discounts_IMM, 2^18);
deltas_idio(1:6,4:end)*122

% (a) Calculate tranche deltas with respect to index for market-wide changes in credit conditions
% (b) Calculate tranche deltas and gammas for changes in (i) systematic factor, (ii) avg(lambda_it)
% tranche_deltas_gamma_syst(cdx_mor10, '12/05/2005', discounts_IMM, 2^18);
% tranche_deltas_gamma_syst(cdx_mor10_lgd1, '12/05/2005', discounts_IMM, 2^18);
% tranche_deltas_gamma_syst(cdx_mor10_lgd3, '12/05/2005', discounts_IMM, 2^18);
tranche_deltas_gamma_syst2(cdx_mor10, '12/05/2005', discounts_IMM, 2^18);
tranche_deltas_gamma_syst2(cdx_mor10_lgd1, '12/05/2005', discounts_IMM, 2^18);
tranche_deltas_gamma_syst2(cdx_mor10_lgd3, '12/05/2005', discounts_IMM, 2^18);

% Calculate tranche deltas for scaling up individual default intensity of one company
%tranche_deltas_single_name(cdx_mor, '12/05/2005', discounts_IMM, 2^18)
table = tranche_deltas_single_name(cdx_mor10, '12/05/2005', discounts_IMM, 2^18);
table(1:6,4:end)*122


% Calculate copula deltas (ratio of spread changes, not ratio of market value changes)
